List failing or warning quality checks for a project
GET
/v1/projects/{projectId}/quality/issuescurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/quality/issues' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<QualityIssueDto>必填
- checkIdstring必填
- severitystring必填可选值warninginfoerror
- blockingone of必填
- statusstring必填可选值warnfail
- scopestring必填可选值recordingepisode
- affectedCountnumber必填
- observedValueone of | null必填
- thresholdobject | null必填
- exampleEpisodesarray<QualityIssueExampleEpisodeDto>必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"checkId": "string",
"severity": "warning",
"blocking": false,
"status": "warn",
"scope": "recording",
"affectedCount": 0,
"observedValue": "string",
"threshold": {},
"exampleEpisodes": [
{
"episodeId": "string",
"posterUrl": "string"
}
]
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1